import {Component, HostListener, OnInit} from '@angular/core';
import {ViewModus} from './dao/viewModus';
import * as AOS from 'aos';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'Tabu';
  view = 'desktopView';

  ngOnInit(): void {
    AOS.init();
    const width = window.innerWidth;
    this.setView(width);
  }

  constructor(private screen: ViewModus){}

  @HostListener('window:resize', ['$event'])
  onResize($event: any): any {
    const width = window.innerWidth;
    this.setView(width);
  }

  setView(width: number): void {
    if (width < 768) {
      this.view = 'mobileView';
    } else if (width < 1024){
      this.view = 'tabletView';
    } else {
      this.view = 'desktopView';
    }
    this.screen.setNewView(this.view);
  }
}
